Subject: Re: bug#11034: Binutils, GDB, GCC and Automake's 'cygnus' option

From: Stefano Lattarini <[email-masked]>
Date: Sat, 31 Mar 2012 12:14:10 +0200

Hi Alfred.

On 03/31/2012 11:08 AM, Alfred M. Szmidt wrote:
>      - Have them distributed (automake's default).  This means that
>        they will be build in the srcdir, not in the builddir: of
>        course, this only affects the maintainer, since for a user that
>        builds the package from a tarball those files should *not* be
>        rebuilt, hence there is no problem even if the user's srcdir is
>        read-only.
> 
> This has always been the right way to do things.
> 
>      - Don't distribute the generated info files.  [...]  In this
>        case, the user will have to to have the 'makeinfo' program
>        available to build them.
> 
> Please don't do this, it causes all kinds of headaches, like the small
> fact that makeinfo will now be required to bootstrap.
>
Note there's nothing I'm planning to do, nor I should do, in this regard:
the two setups described above are both already supported by the current
automake implementation (but the last one is not encouraged, even though
it makes perfect sense in some *rare* situations).  I was just pointing
out that you have to choose one of these setups -- so, if you want to
distribute info files, you must accept to have them build in the srcdir.

Regards,
  Stefano